/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package fornecedor;

import static com.sun.org.apache.xalan.internal.xsltc.compiler.util.Type.String;
import controlefornecedor.ControleFornecedor;
import controlefornecedor.Endereco;
import controlefornecedor.Fornecedor;
import controlefornecedor.PessoaFisica;
import controlefornecedor.PessoaJuridica;
import javax.swing.JOptionPane;

/**
 *
 * @author Avell
 */
public class VisaoCadastro extends javax.swing.JFrame {

    double variavel;
    ControleFornecedor controle = new ControleFornecedor();
    private Object jRadioButton1ActionPerformed;
    private Object jRadioButtonPessoaFisicaActionPerformed;
    public VisaoCadastro() {
        initComponents();
        limparTela();
        esconder();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        buttonGroup2 = new javax.swing.ButtonGroup();
        buttonGroup3 = new javax.swing.ButtonGroup();
        buttonGroup4 = new javax.swing.ButtonGroup();
        jTabbedPane2 = new javax.swing.JTabbedPane();
        jPanel2 = new javax.swing.JPanel();
        jLabelNome = new javax.swing.JLabel();
        jLabelTelefone = new javax.swing.JLabel();
        jTextFieldNome = new javax.swing.JTextField();
        jTextFieldTelefone = new javax.swing.JTextField();
        jTextFieldCpf = new javax.swing.JTextField();
        jButtonAdicionarFisico = new javax.swing.JButton();
        jLabelCpf = new javax.swing.JLabel();
        jLabel1 = new javax.swing.JLabel();
        jLabelEstadoFisico = new javax.swing.JLabel();
        jLabelCidadeFisico = new javax.swing.JLabel();
        jLabelBairroFisico = new javax.swing.JLabel();
        jLabelPaisFisico = new javax.swing.JLabel();
        jLabelComplementoFisico = new javax.swing.JLabel();
        jLabelNumeroFisico = new javax.swing.JLabel();
        jTextFieldPaisFisico = new javax.swing.JTextField();
        jTextFieldEstadoFisico = new javax.swing.JTextField();
        jTextFieldCidadeFisico = new javax.swing.JTextField();
        jTextFieldBairroFisico = new javax.swing.JTextField();
        jTextFieldNumeroFisico = new javax.swing.JTextField();
        jTextFieldComplementoFisico = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        jLabelNomeProdutoFisico = new javax.swing.JLabel();
        jLabelDescricaoProdutoFisico = new javax.swing.JLabel();
        jLabelValorDeVendaProdutoFisico = new javax.swing.JLabel();
        jLabelValorDeCompraProdutoFisico = new javax.swing.JLabel();
        jLabelQuantidadeEmEstoqueProdutoFisico = new javax.swing.JLabel();
        jTextFieldNomeProdutoFisico = new javax.swing.JTextField();
        jTextFieldDescricaoProdutoFisico = new javax.swing.JTextField();
        jTextFieldValorDeVendaProdutoFisico = new javax.swing.JTextField();
        jTextFieldValorDeCompraProdutoFisico = new javax.swing.JTextField();
        jTextFieldQuantidadeEmEstoqueProdutoFisico = new javax.swing.JTextField();
        jRadioButtonPessoaJuridica = new javax.swing.JRadioButton();
        jLabelRazaoSocial = new javax.swing.JLabel();
        jTextFieldRazaoSocial = new javax.swing.JTextField();
        jPanel4 = new javax.swing.JPanel();
        jLabelPesquisar = new javax.swing.JLabel();
        jTextFieldPesquisar = new javax.swing.JTextField();
        jButton1 = new javax.swing.JButton();
        jPanel1 = new javax.swing.JPanel();
        jLabelRemover = new javax.swing.JLabel();
        jTextFieldRemover = new javax.swing.JTextField();
        jButtonRemover = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        jLabelNome.setText("Nome:");

        jLabelTelefone.setText("Telefone:");

        jTextFieldNome.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldNomeActionPerformed(evt);
            }
        });

        jTextFieldTelefone.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldTelefoneActionPerformed(evt);
            }
        });

        jButtonAdicionarFisico.setText("Adicionar");
        jButtonAdicionarFisico.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonAdicionarFisicoActionPerformed(evt);
            }
        });

        jLabelCpf.setText("CPF/CNPJ:");

        jLabel1.setText("ENDEREÇO:");

        jLabelEstadoFisico.setText("Estado:");

        jLabelCidadeFisico.setText("Cidade:");

        jLabelBairroFisico.setText("Bairro:");

        jLabelPaisFisico.setText("País:");

        jLabelComplementoFisico.setText("Complemento:");

        jLabelNumeroFisico.setText("Numero:");

        jLabel2.setText("PRODUTO:");

        jLabelNomeProdutoFisico.setText("Nome:");

        jLabelDescricaoProdutoFisico.setText("Descrição:");

        jLabelValorDeVendaProdutoFisico.setText("Valor de Venda:");

        jLabelValorDeCompraProdutoFisico.setText("Valor de Compra:");

        jLabelQuantidadeEmEstoqueProdutoFisico.setText("Quantidade em Estoque:");

        jTextFieldValorDeCompraProdutoFisico.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldValorDeCompraProdutoFisicoActionPerformed(evt);
            }
        });

        jRadioButtonPessoaJuridica.setText("PessoaJuridica");
        jRadioButtonPessoaJuridica.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jRadioButtonPessoaJuridicaActionPerformed(evt);
            }
        });

        jLabelRazaoSocial.setText("Razão Social:");

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(jLabelTelefone)
                            .addComponent(jLabelNome)
                            .addComponent(jLabelCpf, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(jLabelRazaoSocial, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .addGap(15, 15, 15)
                        .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(jTextFieldNome)
                            .addComponent(jTextFieldTelefone)
                            .addComponent(jTextFieldCpf)
                            .addComponent(jTextFieldRazaoSocial, javax.swing.GroupLayout.DEFAULT_SIZE, 165, Short.MAX_VALUE))
                        .addGap(291, 291, 291)
                        .addComponent(jLabel2))
                    .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                        .addGroup(jPanel2Layout.createSequentialGroup()
                            .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addComponent(jLabelBairroFisico)
                                .addComponent(jLabelNumeroFisico)
                                .addComponent(jLabelComplementoFisico)
                                .addComponent(jLabelCidadeFisico)
                                .addComponent(jLabelEstadoFisico)
                                .addComponent(jLabelPaisFisico))
                            .addGap(13, 13, 13)
                            .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                .addComponent(jTextFieldPaisFisico, javax.swing.GroupLayout.DEFAULT_SIZE, 335, Short.MAX_VALUE)
                                .addComponent(jTextFieldEstadoFisico)
                                .addComponent(jTextFieldCidadeFisico)
                                .addComponent(jTextFieldBairroFisico)
                                .addComponent(jTextFieldComplementoFisico)
                                .addComponent(jTextFieldNumeroFisico))
                            .addGap(291, 291, 291)
                            .addComponent(jButtonAdicionarFisico))
                        .addGroup(jPanel2Layout.createSequentialGroup()
                            .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                .addGroup(jPanel2Layout.createSequentialGroup()
                                    .addComponent(jLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, 91, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addGap(208, 208, 208))
                                .addGroup(javax.swing.GroupLayout.Alignment.LEADING, jPanel2Layout.createSequentialGroup()
                                    .addGap(128, 128, 128)
                                    .addComponent(jRadioButtonPessoaJuridica)
                                    .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)))
                            .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addComponent(jLabelNomeProdutoFisico)
                                .addComponent(jLabelDescricaoProdutoFisico)
                                .addComponent(jLabelValorDeVendaProdutoFisico)
                                .addComponent(jLabelValorDeCompraProdutoFisico)
                                .addComponent(jLabelQuantidadeEmEstoqueProdutoFisico))
                            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                            .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                .addComponent(jTextFieldNomeProdutoFisico, javax.swing.GroupLayout.DEFAULT_SIZE, 245, Short.MAX_VALUE)
                                .addComponent(jTextFieldDescricaoProdutoFisico)
                                .addComponent(jTextFieldValorDeVendaProdutoFisico)
                                .addComponent(jTextFieldValorDeCompraProdutoFisico)
                                .addComponent(jTextFieldQuantidadeEmEstoqueProdutoFisico)))))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabelNome)
                    .addComponent(jTextFieldNome, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel2))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabelTelefone)
                    .addComponent(jTextFieldTelefone, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextFieldCpf, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabelCpf)
                    .addComponent(jTextFieldNomeProdutoFisico, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabelNomeProdutoFisico))
                .addGap(5, 5, 5)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jRadioButtonPessoaJuridica)
                    .addComponent(jLabelRazaoSocial)
                    .addComponent(jTextFieldRazaoSocial, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabelDescricaoProdutoFisico)
                    .addComponent(jTextFieldDescricaoProdutoFisico, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabelValorDeVendaProdutoFisico)
                    .addComponent(jTextFieldValorDeVendaProdutoFisico, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabelValorDeCompraProdutoFisico)
                    .addComponent(jTextFieldValorDeCompraProdutoFisico, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabelQuantidadeEmEstoqueProdutoFisico)
                    .addComponent(jTextFieldQuantidadeEmEstoqueProdutoFisico, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(120, 120, 120)
                .addComponent(jLabel1)
                .addGap(31, 31, 31)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextFieldPaisFisico, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabelPaisFisico))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextFieldEstadoFisico, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabelEstadoFisico))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextFieldCidadeFisico, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabelCidadeFisico, javax.swing.GroupLayout.PREFERRED_SIZE, 17, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextFieldBairroFisico, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabelBairroFisico))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextFieldComplementoFisico, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabelNumeroFisico))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextFieldNumeroFisico, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabelComplementoFisico)
                    .addComponent(jButtonAdicionarFisico))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jTabbedPane2.addTab("Adicionar Fornecedor Físico", jPanel2);

        jLabelPesquisar.setText("Nome a ser Pesquisado:");

        jButton1.setText("Pesquisar");
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel4Layout = new javax.swing.GroupLayout(jPanel4);
        jPanel4.setLayout(jPanel4Layout);
        jPanel4Layout.setHorizontalGroup(
            jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel4Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jButton1)
                    .addGroup(jPanel4Layout.createSequentialGroup()
                        .addComponent(jLabelPesquisar)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jTextFieldPesquisar, javax.swing.GroupLayout.PREFERRED_SIZE, 372, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(298, Short.MAX_VALUE))
        );
        jPanel4Layout.setVerticalGroup(
            jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel4Layout.createSequentialGroup()
                .addGap(82, 82, 82)
                .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabelPesquisar, javax.swing.GroupLayout.PREFERRED_SIZE, 22, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jTextFieldPesquisar, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jButton1)
                .addContainerGap(393, Short.MAX_VALUE))
        );

        jTabbedPane2.addTab("Pesquisar Fornecedor", jPanel4);

        jLabelRemover.setText("Fornecedor a ser Removido:");

        jTextFieldRemover.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldRemoverActionPerformed(evt);
            }
        });

        jButtonRemover.setText("Remover");
        jButtonRemover.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonRemoverActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jButtonRemover)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(jLabelRemover)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jTextFieldRemover, javax.swing.GroupLayout.PREFERRED_SIZE, 391, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(258, Short.MAX_VALUE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGap(97, 97, 97)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabelRemover)
                    .addComponent(jTextFieldRemover, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jButtonRemover)
                .addContainerGap(380, Short.MAX_VALUE))
        );

        jTabbedPane2.addTab("Remover Fornecedor", jPanel1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jTabbedPane2)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jTabbedPane2)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jButtonRemoverActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonRemoverActionPerformed
        String nome = jTextFieldRemover.getText();
        Fornecedor fornecedor = controle.Pesquisa(nome);

        if (fornecedor == null) {
            String mensagem = "Fornecedor não encontrado.";
            JOptionPane.showMessageDialog(null, mensagem);
        } else {
            controle.removeFornecedor(nome);
            String mensagem = "Fornecedor removido com sucesso!";
            JOptionPane.showMessageDialog(null, mensagem);
        }
        limparTela();
    }//GEN-LAST:event_jButtonRemoverActionPerformed

    private void jTextFieldRemoverActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldRemoverActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jTextFieldRemoverActionPerformed

    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
        String nome = jTextFieldPesquisar.getText();
        Fornecedor fornecedor = controle.Pesquisa(nome);

        if (fornecedor == null) {
            String mensagem = "Fornecedor não encontrado.";
            JOptionPane.showMessageDialog(null, mensagem);
        } else {
            nome = "Encontrado! \nNome: " + fornecedor.getNome();
            JOptionPane.showMessageDialog(null, nome);
        }
        limparTela();
    }//GEN-LAST:event_jButton1ActionPerformed

    private void jTextFieldValorDeCompraProdutoFisicoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldValorDeCompraProdutoFisicoActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jTextFieldValorDeCompraProdutoFisicoActionPerformed

    private void jButtonAdicionarFisicoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonAdicionarFisicoActionPerformed
          
    PessoaFisica pessoaFisica = new PessoaFisica();
    PessoaJuridica pessoaJuridica = new PessoaJuridica();

    
    if(variavel==1){
        
        String nome = jTextFieldNome.getText();
        pessoaFisica.setNome(nome);
    
        String cpf = jTextFieldCpf.getText();
        pessoaFisica.setCpf(cpf);
    
        String telefone = jTextFieldTelefone.getText();
        pessoaFisica.adicionarTelefone(telefone);
        

        controle.adicionarPessoaFisica(pessoaFisica);
        
        String mensagem = "Pessoa Física adicionada com sucesso";
        JOptionPane.showMessageDialog(null, mensagem);
        
    }else
        if(variavel==2){
            String nome = jTextFieldNome.getText();
            pessoaJuridica.setNome(nome);
    
            String cnpj = jTextFieldCpf.getText();
            pessoaJuridica.setCnpj(cnpj);
            
            String razaoSocial = jTextFieldRazaoSocial.getText();
            pessoaJuridica.setRazaoSocial(razaoSocial);
            
            String telefone = jTextFieldTelefone.getText();
            pessoaJuridica.adicionarTelefone(telefone);
        
            controle.adicionarPessoaJuridica(pessoaJuridica);
            
            String mensagem = "Pessoa Jurídica adicionada com sucesso";
            JOptionPane.showMessageDialog(null, mensagem);
        }
    limparTela();
    }//GEN-LAST:event_jButtonAdicionarFisicoActionPerformed

    private void jTextFieldTelefoneActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldTelefoneActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jTextFieldTelefoneActionPerformed

    private void jTextFieldNomeActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldNomeActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jTextFieldNomeActionPerformed

    private void jRadioButtonPessoaJuridicaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jRadioButtonPessoaJuridicaActionPerformed
        jRadioButtonPessoaJuridica.setSelected(false);
        jTextFieldRazaoSocial.setEnabled(true);
        variavel = 2;
    }//GEN-LAST:event_jRadioButtonPessoaJuridicaActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(VisaoCadastro.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(VisaoCadastro.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(VisaoCadastro.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(VisaoCadastro.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new VisaoCadastro().setVisible(true);
            }
        });
    }

    
     
    private void limparTela() {
        jTextFieldNome.setText("");
        jTextFieldTelefone.setText("");
        jTextFieldRazaoSocial.setText("");
        jTextFieldCpf.setText("");
        
    }
    private void esconder(){
        jRadioButtonPessoaJuridica.setSelected(false);
        jTextFieldRazaoSocial.setEnabled(false);
        jTextFieldRazaoSocial.setText("");
        variavel = 1;
    }
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.ButtonGroup buttonGroup2;
    private javax.swing.ButtonGroup buttonGroup3;
    private javax.swing.ButtonGroup buttonGroup4;
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButtonAdicionarFisico;
    private javax.swing.JButton jButtonRemover;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabelBairroFisico;
    private javax.swing.JLabel jLabelCidadeFisico;
    private javax.swing.JLabel jLabelComplementoFisico;
    private javax.swing.JLabel jLabelCpf;
    private javax.swing.JLabel jLabelDescricaoProdutoFisico;
    private javax.swing.JLabel jLabelEstadoFisico;
    private javax.swing.JLabel jLabelNome;
    private javax.swing.JLabel jLabelNomeProdutoFisico;
    private javax.swing.JLabel jLabelNumeroFisico;
    private javax.swing.JLabel jLabelPaisFisico;
    private javax.swing.JLabel jLabelPesquisar;
    private javax.swing.JLabel jLabelQuantidadeEmEstoqueProdutoFisico;
    private javax.swing.JLabel jLabelRazaoSocial;
    private javax.swing.JLabel jLabelRemover;
    private javax.swing.JLabel jLabelTelefone;
    private javax.swing.JLabel jLabelValorDeCompraProdutoFisico;
    private javax.swing.JLabel jLabelValorDeVendaProdutoFisico;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel4;
    private javax.swing.JRadioButton jRadioButtonPessoaJuridica;
    private javax.swing.JTabbedPane jTabbedPane2;
    private javax.swing.JTextField jTextFieldBairroFisico;
    private javax.swing.JTextField jTextFieldCidadeFisico;
    private javax.swing.JTextField jTextFieldComplementoFisico;
    private javax.swing.JTextField jTextFieldCpf;
    private javax.swing.JTextField jTextFieldDescricaoProdutoFisico;
    private javax.swing.JTextField jTextFieldEstadoFisico;
    private javax.swing.JTextField jTextFieldNome;
    private javax.swing.JTextField jTextFieldNomeProdutoFisico;
    private javax.swing.JTextField jTextFieldNumeroFisico;
    private javax.swing.JTextField jTextFieldPaisFisico;
    private javax.swing.JTextField jTextFieldPesquisar;
    private javax.swing.JTextField jTextFieldQuantidadeEmEstoqueProdutoFisico;
    private javax.swing.JTextField jTextFieldRazaoSocial;
    private javax.swing.JTextField jTextFieldRemover;
    private javax.swing.JTextField jTextFieldTelefone;
    private javax.swing.JTextField jTextFieldValorDeCompraProdutoFisico;
    private javax.swing.JTextField jTextFieldValorDeVendaProdutoFisico;
    // End of variables declaration//GEN-END:variables
}




